EZ_WaitCursor()

NAME
EZ_WaitCursor, EZ_NormalCursor - retrieve a cursor id

SYNOPSIS
#include <EZ.h>

void  EZ_WaitCursor(EZ_Widget *widget, Cursor cursor)

void  EZ_BusyCursor(EZ_Widget *widget, Cursor cursor, int timeout)

void  EZ_NormalCursor(EZ_Widget *widget)

ARGUMENTS
widget Specifies a widget.

Cursor Specifies an X cursor id.

timeout Specifies a timeout, in seconds.

DESCRIPTION

EZ_WaitCursor redefines the cursor for all widget windows in the hiearchy widget resides to the specified cursor. If cursor is None, it restores the cursors for all the widgets in the hierarchy.

EZ_BusyCursor behaves the same as EZ_WaitCursor, except that it wait only for the specified number of seconds.

EZ_NormalCursor is equivalent to EZ_WaitCursor(widget, None).

SEE ALSO
EZ_GetCursor(3), EZ_CreateCursorFromBitmapFile(3)